| Home | Libraries | People | FAQ | More

## Struct template reference

boost::cnv::reference

## Synopsis

    // In header: <boost/convert.hpp>

    template<typename Converter, typename TypeOut, typename TypeIn>
    struct reference {
      // types
      typedef reference this_type;

      // public member functions
      reference(Converter const &);
      reference(Converter &&);
      this_type & value_or(TypeOut const &);
      TypeOut operator()(TypeIn const &) const;
    };

## Description

### `reference` public member functions

1.     reference(Converter const & cnv);

2.     reference(Converter && cnv);

3.     this_type & value_or(TypeOut const & fallback);

4.     TypeOut operator()(TypeIn const & value_in) const;